unit main;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, dbf, db, FileUtil, Forms, Controls, Graphics, Dialogs,
  Menus, ExtCtrls, ComCtrls, TAGraph, LR_Class, LR_DBSet, LR_DSet;

type

  { TForm1 }

  TForm1 = class(TForm)
    Datasource1: TDatasource;
    Dbf1: TDbf;
    Dbf1SMIS1: TBlobField;
    frDBDataSet1: TfrDBDataSet;
    frReport1: TfrReport;
    MainMenu1: TMainMenu;
    MenuItem1: TMenuItem;
    MenuItem10: TMenuItem;
    MenuItem11: TMenuItem;
    MenuItem12: TMenuItem;
    MenuItem13: TMenuItem;
    MenuItem14: TMenuItem;
    MenuItem2: TMenuItem;
    MenuItem3: TMenuItem;
    MenuItem4: TMenuItem;
    MenuItem5: TMenuItem;
    MenuItem6: TMenuItem;
    MenuItem7: TMenuItem;
    MenuItem8: TMenuItem;
    MenuItem9: TMenuItem;
    PopupMenu1: TPopupMenu;
    StatusBar1: TStatusBar;
    Timer1: TTimer;
    TrayIcon1: TTrayIcon;
    procedure close(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: boolean);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure frDBDataSet1CheckEOF(Sender: TObject; var Eof: Boolean);
    procedure MenuItem10Click(Sender: TObject);
    procedure MenuItem11Click(Sender: TObject);
    procedure MenuItem12Click(Sender: TObject);
    procedure MenuItem13Click(Sender: TObject);
    procedure MenuItem14Click(Sender: TObject);
    procedure MenuItem1Click(Sender: TObject);
    procedure MenuItem4Click(Sender: TObject);
    procedure MenuItem5Click(Sender: TObject);
    procedure MenuItem6Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
   procedure btnShowClick(Sender: TObject);
    procedure btnHideClick(Sender: TObject);
    procedure chkOnPaintDrawingChange(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure HandleClick(Sender: TObject);
    procedure TrayIcon1Click(Sender: TObject);
    procedure TrayIcon1Paint(Sender: TObject);
  private

    pathMedia: string;

    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1;

implementation
uses  about, telefonliste, splash;
{$R *.lfm}

{ TForm1 }

procedure TForm1.MenuItem1Click(Sender: TObject);
begin

end;

procedure TForm1.MenuItem4Click(Sender: TObject);
begin
   Form2 := TForm2.Create(Self);
Form2.Show;

end;

procedure TForm1.MenuItem5Click(Sender: TObject);
begin
 Form3 := TForm3.Create(Self);
Form3.Show;
end;

procedure TForm1.MenuItem6Click(Sender: TObject);
begin

end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
Timer1.Enabled := False;
Form1.Hide;
 Form4 := TForm4.Create(Self);
Form4.Show;
TrayIcon1.Visible := True;

end;

procedure TForm1.ToolButton1Click(Sender: TObject);
begin

end;

procedure TForm1.btnShowClick(Sender: TObject);
begin

end;

procedure TForm1.btnHideClick(Sender: TObject);
begin

end;

procedure TForm1.chkOnPaintDrawingChange(Sender: TObject);
begin

end;

procedure TForm1.FormPaint(Sender: TObject);
begin

end;

procedure TForm1.HandleClick(Sender: TObject);
begin
    Application.MessageBox('Verwenden Sie bitte den rechten "Click" ', 'Caption', 0);
end;

procedure TForm1.TrayIcon1Click(Sender: TObject);
begin

end;

procedure TForm1.TrayIcon1Paint(Sender: TObject);
  var
  BaseImage: TIcon;
begin

    BaseImage := TIcon.Create;
    try
      // Loads the icon
      BaseImage.LoadFromFile(pathMedia + 'santifit.ico');
      Canvas.Draw(0, 0, BaseImage);
    finally
      BaseImage.Free;
    end;
  end;


procedure TForm1.FormCreate(Sender: TObject);
const
  IDI_ICON1         = 101;
  IDI_ICON2         = 115;
  BundleResourceFolder = '/Resources/';
{$IFDEF Darwin}
var
  pathRef: CFURLRef;
  pathCFStr: CFStringRef;
  pathStr: shortstring;
{$ENDIF}
begin
  pathMedia := '';
//  TrayIcon1.PopUpMenu := PopupMenu;
{  // Under Mac OS X we need to get the location of the bundle
{$IFDEF Darwin}
  pathRef := CFBundleCopyBundleURL(CFBundleGetMainBundle());
  pathCFStr := CFURLCopyFileSystemPath(pathRef, kCFURLPOSIXPathStyle);
  CFStringGetPascalString(pathCFStr, @pathStr, 255, CFStringGetSystemEncoding());
  CFRelease(pathRef);
  CFRelease(pathCFStr);

  pathMedia := pathStr + BundleResourceFolder;
{$ENDIF} }

  // Under Windows we get the path of the executable
{$IFDEF Windows}
  pathMedia := ExtractFilePath(Application.ExeName);
{$ENDIF}

  IncludeTrailingBackslash(pathMedia);

  TrayIcon1.Hint := 'SMIS santifit Mitarbeiter Informations System';
  TrayIcon1.PopupMenu := PopupMenu1;
  TrayIcon1.OnClick := @self.HandleClick ;



end;

procedure TForm1.FormShow(Sender: TObject);
begin

end;

procedure TForm1.close(Sender: TObject);
begin
Application.Terminate ;
end;

procedure TForm1.FormActivate(Sender: TObject);
begin

end;

procedure TForm1.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
    Form1.hide;
end;

procedure TForm1.FormCloseQuery(Sender: TObject; var CanClose: boolean);
begin
  Form1.hide;
end;

procedure TForm1.frDBDataSet1CheckEOF(Sender: TObject; var Eof: Boolean);
begin

end;

procedure TForm1.MenuItem10Click(Sender: TObject);
begin

end;

procedure TForm1.MenuItem11Click(Sender: TObject);
begin
Application.Terminate ;
end;

procedure TForm1.MenuItem12Click(Sender: TObject);
begin
  Application.Terminate ;
end;

procedure TForm1.MenuItem13Click(Sender: TObject);
begin
 Form3.Show;
end;

procedure TForm1.MenuItem14Click(Sender: TObject);
begin
  Form4.show;

end;

end.

